The BOOST_PP_TUPLE_TO_LIST macro converts a tuple to a list.

#### Usage

BOOST_PP_TUPLE_TO_LIST(size, tuple)

#### Arguments

size
  The size of the tuple to be converted. Valid tuple sizes range from 0 to BOOST_PP_LIMIT_TUPLE.
tuple
  The tuple to be converted.

#### Remarks

The size argument must be the actual size of the tuple.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/to_list.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/to_list.hpp>

    BOOST_PP_TUPLE_TO_LIST(3, (x, y, z))
       // expands to (x, (y, (z, BOOST_PP_NIL)))